Bug 163056 - [patch] audio/xmms2: update to 0.8
Summary: [patch] audio/xmms2: update to 0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-04 10:30 UTC by Jan Beich
Modified: 2012-05-08 19:50 UTC (History)
0 users

See Also:


Attachments
update.diff (16.86 KB, patch)
2011-12-04 10:30 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2011-12-04 10:30:11 UTC
- update
- add SNDFILE option
- respect CC/CFLAGS and remove -g -O0[1]
- vistest clients are no longer installed by default unless
  EXCLUDE+=--with-vis-reference-clients is added either
  to Makefile.local, make.conf or to command-line args.

[1] according to git blame debug flags slipped in
    http://git.xmms2.org/xmms2/xmms2-devel/commit/?id=5bd0db3
Comment 1 Edwin Groothuis freebsd_committer 2011-12-04 10:30:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Guido Falsi freebsd_committer 2012-05-04 09:29:31 UTC
Responsible Changed
From-To: miwi->madpilot

I'll take it. Talked to miwi via email about this.
Comment 3 dfilter service freebsd_committer 2012-05-08 19:48:03 UTC
madpilot    2012-05-08 18:47:50 UTC

  FreeBSD ports repository

  Modified files:
    audio/p5-xmms2       pkg-plist 
    audio/py-xmms2       pkg-plist 
    audio/xmms2          Makefile distinfo pkg-plist 
    audio/xmms2/files    extra-patch-src-clients-vistest-wscript 
                         patch-patch-src-plugins-musepack-wscript 
                         patch-src-plugins-airplay-wscript 
                         patch-wscript 
  Added files:
    audio/xmms2/files    patch-src-plugins-file-wscript 
  Removed files:
    audio/xmms2/files    patch-wafadmin-Task.py 
  Log:
  - Update xmms2 to 0.8 [1]
  - Add SNDFILE option [1]
  - Don't install test and debugging components by default [2]
  - Fix slave ports
  - Take maintainership
  
  PR:             ports/163056
  Submitted by:   Jan Beich <jbeich@tormail.net> [1] and [2] partly
  Approved by:    crees (mentor)
  
  Revision  Changes    Path
  1.4       +4 -0      ports/audio/p5-xmms2/pkg-plist
  1.4       +1 -0      ports/audio/py-xmms2/pkg-plist
  1.68      +51 -17    ports/audio/xmms2/Makefile
  1.14      +2 -2      ports/audio/xmms2/distinfo
  1.2       +24 -19    ports/audio/xmms2/files/extra-patch-src-clients-vistest-wscript
  1.2       +7 -7      ports/audio/xmms2/files/patch-patch-src-plugins-musepack-wscript
  1.3       +8 -16     ports/audio/xmms2/files/patch-src-plugins-airplay-wscript
  1.1       +19 -0     ports/audio/xmms2/files/patch-src-plugins-file-wscript (new)
  1.2       +0 -18     ports/audio/xmms2/files/patch-wafadmin-Task.py (dead)
  1.3       +27 -24    ports/audio/xmms2/files/patch-wscript
  1.21      +11 -2     ports/audio/xmms2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Guido Falsi freebsd_committer 2012-05-08 19:48:46 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!